> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/bill-pay/create-bill/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create Bill POST https://api.upwardli.com/v2/bill-pay/bills/ Content-Type: application/json Create a new Bill. Reference: https://developers.upwardli.com/api-access/api-reference/bill-pay/create-bill ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Body (application/json) This endpoint expects a CreateBill. - `consumer_id` (string, required) - `sending_account_id` (string, required) - `name` (string, required) - `receiver_name` (string, required) - `account_number` (string, required) - `account_routing_number` (string, required) ## Response ### 201 - `consumer_id` (string, required) - `sending_account_id` (string, required) - `name` (string, required) - `receiver_name` (string, required) - `account_number` (string, required) - `account_routing_number` (string, required) ## Examples **Request** ```json { "consumer_id": "string", "sending_account_id": "string", "name": "string", "receiver_name": "string", "account_number": "string", "account_routing_number": "string" } ``` **Response** ```json { "consumer_id": "string", "sending_account_id": "string", "name": "string", "receiver_name": "string", "account_number": "string", "account_routing_number": "string" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/bill-pay/bills/" payload = { "consumer_id": "string", "sending_account_id": "string", "name": "string", "receiver_name": "string", "account_number": "string", "account_routing_number": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/bill-pay/bills/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"consumer_id":"string","sending_account_id":"string","name":"string","receiver_name":"string","account_number":"string","account_routing_number":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/bill-pay/bills/" payload := strings.NewReader("{\n \"consumer_id\": \"string\",\n \"sending_account_id\": \"string\",\n \"name\": \"string\",\n \"receiver_name\": \"string\",\n \"account_number\": \"string\",\n \"account_routing_number\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/bill-pay/bills/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"consumer_id\": \"string\",\n \"sending_account_id\": \"string\",\n \"name\": \"string\",\n \"receiver_name\": \"string\",\n \"account_number\": \"string\",\n \"account_routing_number\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.upwardli.com/v2/bill-pay/bills/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"consumer_id\": \"string\",\n \"sending_account_id\": \"string\",\n \"name\": \"string\",\n \"receiver_name\": \"string\",\n \"account_number\": \"string\",\n \"account_routing_number\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.upwardli.com/v2/bill-pay/bills/', [ 'body' => '{ "consumer_id": "string", "sending_account_id": "string", "name": "string", "receiver_name": "string", "account_number": "string", "account_routing_number": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/bill-pay/bills/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"consumer_id\": \"string\",\n \"sending_account_id\": \"string\",\n \"name\": \"string\",\n \"receiver_name\": \"string\",\n \"account_number\": \"string\",\n \"account_routing_number\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "consumer_id": "string", "sending_account_id": "string", "name": "string", "receiver_name": "string", "account_number": "string", "account_routing_number": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/bill-pay/bills/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```